NX Open C++ Reference Guide
|
Represents a CAE::SimBcXyPlotBuilder builder which can be used to generate a XY plot of a CAE::SimBC in the graphics area. More...
Public Types | |
enum | ResolveMultipleMatches { ResolveMultipleMatchesAdd, ResolveMultipleMatchesAverage, ResolveMultipleMatchesMinimum, ResolveMultipleMatchesMaximum, ResolveMultipleMatchesMultipleCurves } |
Resolve multiple matches when the location specified matches multiple items in the boundary condition's target set. More... | |
Public Member Functions | |
std::vector< NXOpen::CAE::SimBC * > | GetAvailableBcsToPlot () |
Returns all available CAE::SimBC to plot. | |
std::vector< NXString > | GetAvailablePropertyNamesToPlot (NXOpen::CAE::SimBC *tBc) |
Returns all available property names that can be plotted for the specified CAE::SimBC. | |
NXOpen::CAE::SimBcXyPlotBuilder::ResolveMultipleMatches | MultipleMatches () |
Returns a CAE::SimBcXyPlotBuilder::ResolveMultipleMatches used in plot to resolve multiple values Created in NX9.0.0. | |
NXOpen::CAE::Xyplot::Plot * | Plot (int deviceIndex, int viewIndex) |
Creates XY plot. | |
void | SetBcsToPlot (const std::vector< NXOpen::CAE::SimBC * > &bcs, std::vector< NXString > &propertyNames) |
Sets CAE::SimBC objects to plot. | |
void | SetBcsToPlot (const std::vector< NXOpen::CAE::SimBC * > &bcs) |
Sets CAE::SimBC objects to plot. | |
void | SetLocationElement (NXOpen::CAE::FEElement *element) |
Sets location at an element Created in NX9.0.0. | |
void | SetLocationElementEdge (NXOpen::CAE::FEElemEdge *elementEdge) |
Sets location at an element edge Created in NX9.0.0. | |
void | SetLocationElementFace (NXOpen::CAE::FEElemFace *elementFace) |
Sets location at an element face Created in NX9.0.0. | |
void | SetLocationNode (NXOpen::CAE::FENode *node) |
Sets location at a node Created in NX9.0.0. | |
void | SetMultipleMatches (NXOpen::CAE::SimBcXyPlotBuilder::ResolveMultipleMatches resolveMultipleMatches) |
Sets a CAE::SimBcXyPlotBuilder::ResolveMultipleMatches used in plot to resolve multiple values Created in NX9.0.0. | |
void | SetPropertyNameToPlot (const NXString &pPropertyName) |
Sets property name to plot. | |
void | SetPropertyNameToPlot (const char *pPropertyName) |
Sets property name to plot. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::SimBcXyPlotBuilder builder which can be used to generate a XY plot of a CAE::SimBC in the graphics area.
This is limited to CAE::SimBC objects in the active solution.
To create a new instance of this class, use CAE::SimSimulation::CreateSimBcXyPlotBuilder
Created in NX9.0.0.
Resolve multiple matches when the location specified matches multiple items in the boundary condition's target set.
std::vector<NXOpen::CAE::SimBC *> NXOpen::CAE::SimBcXyPlotBuilder::GetAvailableBcsToPlot | ( | ) |
Returns all available CAE::SimBC to plot.
std::vector<NXString> NXOpen::CAE::SimBcXyPlotBuilder::GetAvailablePropertyNamesToPlot | ( | NXOpen::CAE::SimBC * | tBc | ) |
Returns all available property names that can be plotted for the specified CAE::SimBC.
tBc | tbc |
NXOpen::CAE::SimBcXyPlotBuilder::ResolveMultipleMatches NXOpen::CAE::SimBcXyPlotBuilder::MultipleMatches | ( | ) |
Returns a CAE::SimBcXyPlotBuilder::ResolveMultipleMatches used in plot to resolve multiple values
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::Xyplot::Plot* NXOpen::CAE::SimBcXyPlotBuilder::Plot | ( | int | deviceIndex, |
int | viewIndex | ||
) |
Creates XY plot.
deviceIndex | device index |
viewIndex | view index |
void NXOpen::CAE::SimBcXyPlotBuilder::SetBcsToPlot | ( | const std::vector< NXOpen::CAE::SimBC * > & | bcs, |
std::vector< NXString > & | propertyNames | ||
) |
Sets CAE::SimBC objects to plot.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
bcs | boundary conditions to plot |
propertyNames | property names to plot NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimBcXyPlotBuilder::SetBcsToPlot | ( | const std::vector< NXOpen::CAE::SimBC * > & | bcs | ) |
Sets CAE::SimBC objects to plot.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
bcs | boundary conditions to plot |
void NXOpen::CAE::SimBcXyPlotBuilder::SetLocationElement | ( | NXOpen::CAE::FEElement * | element | ) |
Sets location at an element
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
element | element |
void NXOpen::CAE::SimBcXyPlotBuilder::SetLocationElementEdge | ( | NXOpen::CAE::FEElemEdge * | elementEdge | ) |
Sets location at an element edge
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
elementEdge | element edge |
void NXOpen::CAE::SimBcXyPlotBuilder::SetLocationElementFace | ( | NXOpen::CAE::FEElemFace * | elementFace | ) |
Sets location at an element face
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
elementFace | element face |
void NXOpen::CAE::SimBcXyPlotBuilder::SetLocationNode | ( | NXOpen::CAE::FENode * | node | ) |
Sets location at a node
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
node | node |
void NXOpen::CAE::SimBcXyPlotBuilder::SetMultipleMatches | ( | NXOpen::CAE::SimBcXyPlotBuilder::ResolveMultipleMatches | resolveMultipleMatches | ) |
Sets a CAE::SimBcXyPlotBuilder::ResolveMultipleMatches used in plot to resolve multiple values
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
resolveMultipleMatches | resolvemultiplematches |
void NXOpen::CAE::SimBcXyPlotBuilder::SetPropertyNameToPlot | ( | const NXString & | pPropertyName | ) |
Sets property name to plot.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
pPropertyName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimBcXyPlotBuilder::SetPropertyNameToPlot | ( | const char * | pPropertyName | ) |
Sets property name to plot.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
pPropertyName | NOTE: The full Unicode character set is not supported for this parameter. |